Page MenuHomePhabricator

Preferences in RTL: Username with parentheses shown wrong in some WebKit based browsers
Closed, DuplicatePublic

Description

My username is "Michael Schönitzer (WMDE)" in hewiki in the preferences it is shown as "(Michael Schönitzer (WMDE" and also links to the wrong page.

Screenshot:

Event Timeline

Restricted Application added a project: I18n. · View Herald TranscriptFeb 28 2017, 8:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Cannot reproduce in Firefox 51 on Fedora 25. Please provide browser information.

Aklapper renamed this task from Preferences in RTL-Interface: Username with paranteses shown wrong to Preferences in RTL: Username with parentheses shown wrong.Mar 1 2017, 9:48 AM

Bug occurs with Chromium version 56.0.2924.87 (64-bit) on Arch Linux does not occur with Firefox 51 on same os. Is also reproducible with qutebrowser (webkit based).

The link goes to the right page (see url). The problem is that on some browsers (webkit based, apparently), the closing ) is mirrored and shown at the beginning, which shows pretty much everywhere it is shown, for instance at the page titles of

This bears the question of which render engine is right. I don't know what should the directionality of brackets in an RTL environment where they are at the end of the text be.
@Amire80 can probably shed a bit of light here.

Automatic fixing of parentheses was added to the Unicode BIDI algorithm a couple of years ago. Mozilla implemented it, and webkit did not. So Mozilla is right.

Webkit will probably get it eventually, too, but I always advocated against using parentheses in usernames. That's why my official WMF account is Aaharoni-WMF :)

TheDJ added a subscriber: TheDJ.Mar 3 2017, 9:13 AM

@Platonides FYI I don't see this problem on MacOS X webkit browsers, just so you know

See https://bugs.chromium.org/p/chromium/issues/detail?id=242238. By the way, does anyone know when Firefox updated to the 6.3 version of the UBA? I want to update https://de.wikipedia.org/wiki/Unicode-Bidi-Algorithmus accordingly.

Aklapper renamed this task from Preferences in RTL: Username with parentheses shown wrong to Preferences in RTL: Username with parentheses shown wrong in some WebKit based browsers.Mar 3 2017, 10:58 AM
Aklapper moved this task from Backlog to Reported Upstream on the Upstream board.

I guess that means there is nothing we can do on our side?

@Schnark that seems to be https://bugzilla.mozilla.org/show_bug.cgi?id=922963 (which funny enough they seem to have forgotten to close).

The bracket pairs change is https://bugzilla.mozilla.org/show_bug.cgi?id=1157727 fixed after https://hg.mozilla.org/mozilla-central/rev/aeafc4cca447 It was probably fixed in Firefox 45 or Firefox 46

Amire80 moved this task from Untriaged to RTL on the I18n board.Feb 3 2018, 2:39 PM